body {
  margin: 0;
  font-family: 'Fira Code', monospace;
  background-color: #121212;
  color: #ffffff;
}

.container {
  display: flex;
  flex-direction: column;
}

.sidebar {
  width: 100%;
  height: auto;
  background-color: #1e1e1e;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

.profile-pic {
  border-radius: 50%;
  width: 150px;
  height: 150px;
}

.sidebar h1 {
  margin: 20px 0 0;
}

.sidebar .bio {
  text-align: center;
  margin: 10px 0 0px;
  font-size: .8rem;
  line-height: 1.2rem;
}

.social-icons {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.social-icons a {
  color: #ffffff;
  margin: 0 10px;
  font-size: 24px;
  transition: color 0.3s;
}

.social-icons a:hover {
  color: #1e90ff; 
}

.main-content {
  margin-top: 20px;
  padding: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

section.projects {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

.card {
  position: relative;
  width: calc(50px - 20px);
  max-width: 300px;
  min-width: 250px; 
  overflow: hidden;
  border-radius: 10px;
  transition: transform 0.3s;
  margin-bottom: 20px; 
}

.card:hover {
  transform: scale(1.05);
}

.card img {
  width: 100%;
  height: auto;
  filter: grayscale(90%) brightness(80%);
}

.card .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  color: #ffffff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s;
}

.card:hover .overlay {
  opacity: 1;
}

.card .overlay h2 {
  margin: 0;
  font-size: 1.4rem;
}

.card .overlay .tags {
  margin: 10px 0;
}

.card .overlay i {
  font-size: 24px;
}
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  overflow: auto; /* Habilita scroll quando o conteúdo do modal for maior que a tela */
}

.modal-content {
  background-color: #ffffff;
  color: #000000;
  max-width: 80%; 
  max-height: 80%; 
  font-size: .9rem;
  line-height: 1.4rem;
  padding: 50px;
  border-radius: 10px;
  text-align: center;
  position: relative;
  overflow: auto; 
}

.close-button {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  cursor: pointer;
  z-index: 1; 
}

.modal-content img {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
}

.modal-content .live-link {
  display: inline-block;
  margin: 10px 0 20px;
  padding: 10px 20px;
  background-color: #121212;
  color: #ffffff;
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.modal-content .live-link:hover {
  background-color: #1e90ff;
}


/* Media Queries */
@media (max-width: 1023px) {
  .main-content {
    justify-content: center;
    width: 100%;
  }
  .card {
    width: 100%;
    max-width: 100%;
  }
  .modal-content {
    max-height: 90%;
    padding: 25px;
  }
  .sidebar{
    width: 100%;
    padding: 60px 20px;
  }
}

@media (min-width: 1024px) {
  .container {
    flex-direction: row;
  }

  .sidebar {
    position: fixed;
    width: 25%;
    height: 100vh;
    justify-content: center;
    padding: 40px;
  }

  .main-content {
    margin-left: calc(25% + 80px); 
    width: 75%;
    justify-content: flex-start;
  }

  .card {
    width: calc(50% - 20px);
    max-width: calc(50% - 20px);
    min-width: 250px;
    margin: 10px;
  }
}